#
# Conditional build:
%bcond_with	tests		# test suite

%define		kf_ver		5.94.0
%define		qt_ver		6.5.0
%define		kaname		libkexiv2
Summary:	libkexiv2 - KDE Exiv2 wrapper
Summary(pl.UTF-8):	libexiv2 - obudowanie Exiv2 dla KDE
Name:		ka6-%{kaname}
Version:	25.04.2
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	2f08c8a352fc7ecd303eb3d8c3d4d45d
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.20
BuildRequires:	exiv2-devel >= 0.25
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	exiv2 >= 0.25
# don't obsolete until ka5 exists in PLD
#Obsoletes:	ka5-libkexiv2 < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libkexiv2 is a wrapper around Exiv2.

%description -l pl.UTF-8
Libkexiv2 jest wraperem wokół Exiv2.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Core-devel >= %{qt_ver}
Requires:	Qt6Gui-devel >= %{qt_ver}
Requires:	libstdc++-devel >= 6:5
#Obsoletes:	ka5-libkexiv2-devel < 24

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%{_libdir}/libKExiv2Qt6.so.*.*
%ghost %{_libdir}/libKExiv2Qt6.so.0
%{_datadir}/qlogging-categories6/libkexiv2.categories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKExiv2Qt6.so
%{_includedir}/KExiv2Qt6
%{_libdir}/cmake/KExiv2Qt6
%changelog
* Sun Jun 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-libkexiv2.git;a=log;h=master

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> b22d55e
- don't obsolete ka5-libkexiv2 yet (both library versions can coexist); release 2

* Sun Jun 08 2025 Jakub Bogusz <qboosh@pld-linux.org> ab19bf1
- unified with ka5-libkexiv2.spec, updated dependencies

* Thu Jun 05 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 304743c
- updated to 25.04.2

* Thu May 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> e49dbcb
- updated to 25.04.1

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> caa4714
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0313f62
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 083b852
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 86121e5
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6485ffb
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8c5c693
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b3d65f3
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c9aa7fe
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 13d67ee
- updated to 24.08.0

* Sun Aug 18 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 21e245c
- relup

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8a083da
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 552a13f
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> de0d33c
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3c5f19c
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5e75879
- updated to 24.02.1

* Sun Mar 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9bb6c38
- updated to 24.02.0

